summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Wainamoinen <wainamoinen@gmail.com>2015-02-14 10:04:47 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-14 10:04:47 +0700
commitaf7fbada8329ef089810e9c83a2154fecc7a27fd (patch)
tree42bef8c87b1e90e7d9fe7602f09843d90db0e86f /development
parent56968a43c630ec53b252f9f3c927512fafac6457 (diff)
downloadslackbuilds-af7fbada8329ef089810e9c83a2154fecc7a27fd.tar.gz
slackbuilds-af7fbada8329ef089810e9c83a2154fecc7a27fd.tar.xz
development/codelite: Added (cross platform IDE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/codelite/README11
-rw-r--r--development/codelite/codelite.SlackBuild82
-rw-r--r--development/codelite/codelite.info10
-rw-r--r--development/codelite/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/development/codelite/README b/development/codelite/README
new file mode 100644
index 0000000000..48d1c8dc95
--- /dev/null
+++ b/development/codelite/README
@@ -0,0 +1,11 @@
+CodeLite is an open source, free, cross platform IDE for the C/C++
+and PHP programming languages which runs best on all major platforms
+(OS X, Windows and Linux). CodeLite has Generic support for compilers
+with built-in support for GCC/clang/VC++.
+CodeLite features project management (workspace/projects), code
+completion, code refactoring, source browsing, syntax highlight,
+Subversion integration, cscope integration, UnitTest++ integration,
+an interactive debugger built over GDB/LLDB and a source code editor
+(based on Scintilla).
+
+Optional: Valgrind
diff --git a/development/codelite/codelite.SlackBuild b/development/codelite/codelite.SlackBuild
new file mode 100644
index 0000000000..b1a9d95ede
--- /dev/null
+++ b/development/codelite/codelite.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for codelite
+
+# Written by Wainamoinen <wainamoinen@gmail.com>
+
+PRGNAM=codelite
+VERSION=${VERSION:-7.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build-release
+cd build-release
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+cmake -G "Unix Makefiles" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ ../
+make
+make DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ../about.html ../AUTHORS ../COPYING ../LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/codelite/codelite.info b/development/codelite/codelite.info
new file mode 100644
index 0000000000..62fd913ace
--- /dev/null
+++ b/development/codelite/codelite.info
@@ -0,0 +1,10 @@
+PRGNAM="codelite"
+VERSION="7.0"
+HOMEPAGE="http://www.codelite.org/"
+DOWNLOAD="https://codeload.github.com/eranif/codelite/tar.gz/7.0"
+MD5SUM="eb2dee89187f1d6537f503a35204d938"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wxGTK3"
+MAINTAINER="Wainamoinen"
+EMAIL="wainamoinen@gmail.com"
diff --git a/development/codelite/slack-desc b/development/codelite/slack-desc
new file mode 100644
index 0000000000..6bf8acd2ea
--- /dev/null
+++ b/development/codelite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+codelite: codelite (A Free, open source, cross platform C/C++/PHP IDE)
+codelite:
+codelite: CodeLite is an open source, free, cross platform IDE for the C/C++
+codelite: and PHP programming languages which runs best on all major platforms
+codelite: (OS X, Windows and Linux). CodeLite has Generic support for compilers
+codelite: with built-in support for GCC/clang/VC++.
+codelite: CodeLite features project management (workspace/projects), code
+codelite: completion, code refactoring, source browsing, syntax highlight,
+codelite: Subversion integration, cscope integration, UnitTest++ integration,
+codelite: an interactive debugger built over GDB/LLDB and a source code editor
+codelite: (based on Scintilla).